@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.contentWrapper {
  padding: 50px 50px 25px;
  @include font($fontGotham, 24px, 28.8px);
  color: $blackColor;
}

.header {
  margin-bottom: 25px;
  text-align: center;
}

.inputs {
  display: flex;
  gap: 10px;
  line-height: 24px;

  .shiftInput,
  .dayInput {
    width: 50%;
  }
}

.timePecker {
  margin-top: 35px;
}

.lineRange {
  margin: 55px 0 50px;
}

.titleContainer {
  display: flex;
  margin-bottom: 15px;

  & > div:first-child {
    margin-right: 10px;
  }
}

.statistics {
  margin-bottom: 30px;

  .blocks {
    display: flex;
    gap: 10px;
  }

  .block {
    width: 245px;
    height: 124px;
    border: 1px solid $greyColor;
    border-radius: 10px;
    padding: 15px 20px;

    .row {
      display: flex;
      justify-content: space-between;
      margin-bottom: 5px;
    }

    .smallText {
      & > div:first-child {
        @include font($fontGotham, 12px, 14.4px);
        color: $greyText;
      }

      & > div:last-child {
        @include font($fontGothamLight, 12px, 14.4px);
        color: $blackColor;
        text-align: end;
      }
    }

    .shiftName {
      align-items: center;
      margin-bottom: 10px;

      & > div:first-child {
        @include font($fontGotham, 16px, 19.2px);
        color: $blackColor;
      }
    }
  }
}

.partners {
  .partnersTitle {
    display: flex;
    justify-content: space-between;

    .titleBtns {
      display: flex;
      gap: 10px;

      .titleBtn {
        width: 30px;
        height: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
        border: 1px solid $greyColor;
        border-radius: 5px;
        cursor: pointer;
      }
    }
  }

  .partnersBlocks {
    display: flex;
    gap: 10px;

    .card {
      width: 200px;
      height: 84px;
      display: flex;
      align-items: center;
      padding: 15px;
      border: 1px solid $greyColor;
      border-radius: 10px;

      .avatar {
        margin-right: 15px;
      }

      .name {
        @include font($fontGotham, 16px, 19.2px);
        color: $blackColor;
        margin-bottom: 5px;
      }

      .level {
        @include font($fontGotham, 14px, 16.8px);
        color: $greyText;
      }
    }
  }
}

.buttons {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 50px 0 30px;

  .cancelButton {
    margin-top: 15px;
    @include font($fontGotham, 14px, 16.8px);
    color: $primaryColor;
    cursor: pointer;
  }
}
